<section class="container">

  <h1>Hey! Looking for the lyrics of yours favorite songs?</h1>

  <span class="container__subtitle">We got you!</span>

  <form
    [formGroup]="form"
    class="container__form gradient-border"
    (ngSubmit)="submit()">

    <app-input-field
      formControlName="name"
      [placeholder]="SUPPORTIVE_TEXTS.NAME"
      [error]="form.controls['name'].invalid && (form.controls['name'].dirty || form.controls['name'].touched)"
    ></app-input-field>

    <button class="container__button" aria-label="submit">
      <span>Submit</span>
      <mat-icon>music_note</mat-icon>
    </button>

  </form>
</section>
